[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.AddNew

Add a new item to the list.

## Declaration

Source position: cachecls.pp line 82

`public function TCache.AddNew(`
`AData: Pointer`
`):Integer;`

## Arguments

`AData` |  | Data pointer to add to the list

## Function result

Position at which item is added to the list

## Description

AddNew adds a new item to the list: in difference with the Add call, no checking is performed to see whether the item is already in the list.

The function returns the index at which the item was added.

If the maximum number of slots is reached, and a new item is being added, the least used item is dropped from the list.

## See also

TCache.Add |  | Add a data element to the list.
TCache.FindSlot |  | Find data pointer in the list
TCache.IndexOf |  | Return index of a data pointer in the list.
TCache.Data |  | Indexed access to data items
TCache.MRUSlot |  | Most recent item slot.

Documentation generated on: Feb 26 2014